<?php
declare(strict_types=1);

namespace CakeProducts\Controller;

use Cake\Log\Log;
use CakeProducts\Controller\AppController;

/**
 * ProductCategoryAttributeOptions Controller
 *
 * @property \CakeProducts\Model\Table\ProductCategoryAttributeOptionsTable $ProductCategoryAttributeOptions
 */
class ProductCategoryAttributeOptionsController extends AppController
{
    /**
     * Add method
     *
     * @return \Cake\Http\Response|null|void Redirects on successful add, renders view otherwise.
     */
    public function add()
    {
        Log::debug('inside product category attribute options controller add');

        $productCategoryAttributeOption = $this->ProductCategoryAttributeOptions->newEmptyEntity();
        $this->set(compact('productCategoryAttributeOption'));
    }

    /**
     * Delete method
     *
     * @param string|null $id Product Category Attribute Option id.
     * @return \Cake\Http\Response|null Redirects to index.
     * @throws \Cake\Datasource\Exception\RecordNotFoundException When record not found.
     */
    public function delete($id = null)
    {
        $this->request->allowMethod(['post', 'delete']);
        $productCategoryAttributeOption = $this->ProductCategoryAttributeOptions->get($id);
        if ($this->ProductCategoryAttributeOptions->delete($productCategoryAttributeOption)) {
            $this->Flash->success(__('The product category attribute option has been deleted.'));
        } else {
            $this->Flash->error(__('The product category attribute option could not be deleted. Please, try again.'));
        }

        return $this->redirect(['controller' => 'ProductCategoryAttributes', 'action' => 'view', $productCategoryAttributeOption->product_category_attribute_id]);
    }
}
